// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: tango_enums.proto

#include "tango_enums.pb.h"

#include <algorithm>

#include <google/protobuf/stubs/common.h>
#include <google/protobuf/stubs/port.h>
#include <google/protobuf/stubs/once.h>
#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/wire_format_lite_inl.h>
#include <google/protobuf/descriptor.h>
#include <google/protobuf/generated_message_reflection.h>
#include <google/protobuf/reflection_ops.h>
#include <google/protobuf/wire_format.h>
// This is a temporary google only hack
#ifdef GOOGLE_PROTOBUF_ENFORCE_UNIQUENESS
#include "third_party/protobuf/version.h"
#endif
// @@protoc_insertion_point(includes)
namespace mascot {
}  // namespace mascot
namespace protobuf_tango_5fenums_2eproto {
const ::google::protobuf::EnumDescriptor* file_level_enum_descriptors[23];
const ::google::protobuf::uint32 TableStruct::offsets[1] = {};
static const ::google::protobuf::internal::MigrationSchema* schemas = NULL;
static const ::google::protobuf::Message* const* file_default_instances = NULL;

void protobuf_AssignDescriptors() {
  AddDescriptors();
  ::google::protobuf::MessageFactory* factory = NULL;
  AssignDescriptors(
      "tango_enums.proto", schemas, file_default_instances, TableStruct::offsets, factory,
      NULL, file_level_enum_descriptors, NULL);
}

void protobuf_AssignDescriptorsOnce() {
  static GOOGLE_PROTOBUF_DECLARE_ONCE(once);
  ::google::protobuf::GoogleOnceInit(&once, &protobuf_AssignDescriptors);
}

void protobuf_RegisterTypes(const ::std::string&) GOOGLE_PROTOBUF_ATTRIBUTE_COLD;
void protobuf_RegisterTypes(const ::std::string&) {
  protobuf_AssignDescriptorsOnce();
}

void AddDescriptorsImpl() {
  InitDefaults();
  static const char descriptor[] GOOGLE_PROTOBUF_ATTRIBUTE_SECTION_VARIABLE(protodesc_cold) = {
      "\n\021tango_enums.proto\022\006mascot*\251\001\n\010DevState"
      "\022\006\n\002ON\020\000\022\007\n\003OFF\020\001\022\t\n\005CLOSE\020\002\022\010\n\004OPEN\020\003\022\n"
      "\n\006INSERT\020\004\022\013\n\007EXTRACT\020\005\022\n\n\006MOVING\020\006\022\013\n\007S"
      "TANDBY\020\007\022\t\n\005FAULT\020\010\022\010\n\004INIT\020\t\022\013\n\007RUNNING"
      "\020\n\022\t\n\005ALARM\020\013\022\013\n\007DISABLE\020\014\022\013\n\007UNKNOWN\020\r*"
      "\307\004\n\nCmdArgType\022\013\n\007DevVoid\020\000\022\016\n\nDevBoolea"
      "n\020\001\022\014\n\010DevShort\020\002\022\013\n\007DevLong\020\003\022\014\n\010DevFlo"
      "at\020\004\022\r\n\tDevDouble\020\005\022\r\n\tDevUShort\020\006\022\014\n\010De"
      "vULong\020\007\022\r\n\tDevString\020\010\022\023\n\017DevVarCharArr"
      "ay\020\t\022\024\n\020DevVarShortArray\020\n\022\023\n\017DevVarLong"
      "Array\020\013\022\024\n\020DevVarFloatArray\020\014\022\025\n\021DevVarD"
      "oubleArray\020\r\022\025\n\021DevVarUShortArray\020\016\022\024\n\020D"
      "evVarULongArray\020\017\022\025\n\021DevVarStringArray\020\020"
      "\022\031\n\025DevVarLongStringArray\020\021\022\033\n\027DevVarDou"
      "bleStringArray\020\022\022\r\n\tDevStates\020\023\022\022\n\016Const"
      "DevString\020\024\022\026\n\022DevVarBooleanArray\020\025\022\014\n\010D"
      "evUChar\020\026\022\r\n\tDevLong64\020\027\022\016\n\nDevULong64\020\030"
      "\022\025\n\021DevVarLong64Array\020\031\022\026\n\022DevVarULong64"
      "Array\020\032\022\n\n\006DevInt\020\033\022\016\n\nDevEncoded\020\034\022\013\n\007D"
      "evEnum\020\035\022\017\n\013DevPipeBlob\020\036*!\n\013MessBoxType"
      "\022\010\n\004STOP\020\000\022\010\n\004INFO\020\001*Q\n\013PollObjType\022\014\n\010P"
      "OLL_CMD\020\000\022\r\n\tPOLL_ATTR\020\001\022\023\n\017EVENT_HEARTB"
      "EAT\020\002\022\020\n\014STORE_SUBDEV\020\003*\321\001\n\013PollCmdCode\022"
      "\020\n\014POLL_ADD_OBJ\020\000\022\020\n\014POLL_REM_OBJ\020\001\022\016\n\nP"
      "OLL_START\020\002\022\r\n\tPOLL_STOP\020\003\022\023\n\017POLL_UPD_P"
      "ERIOD\020\004\022\020\n\014POLL_REM_DEV\020\005\022\r\n\tPOLL_EXIT\020\006"
      "\022\031\n\025POLL_REM_EXT_TRIG_OBJ\020\007\022\026\n\022POLL_ADD_"
      "HEARTBEAT\020\010\022\026\n\022POLL_REM_HEARTBEAT\020\t*F\n\013S"
      "erialModel\022\r\n\tBY_DEVICE\020\000\022\013\n\007BY_enum\020\001\022\016"
      "\n\nBY_PROCESS\020\002\022\013\n\007NO_SYNC\020\003*)\n\nAttReqTyp"
      "e\022\014\n\010READ_REQ\020\000\022\r\n\tWRITE_REQ\020\001*Z\n\013LockCm"
      "dCode\022\020\n\014LOCK_ADD_DEV\020\000\022\020\n\014LOCK_REM_DEV\020"
      "\001\022\030\n\024LOCK_UNLOCK_ALL_EXIT\020\002\022\r\n\tLOCK_EXIT"
      "\020\003*`\n\010LogLevel\022\013\n\007LOG_OFF\020\000\022\r\n\tLOG_FATAL"
      "\020\001\022\r\n\tLOG_ERROR\020\002\022\014\n\010LOG_WARN\020\003\022\014\n\010LOG_I"
      "NFO\020\004\022\r\n\tLOG_DEBUG\020\005*:\n\tLogTarget\022\017\n\013LOG"
      "_CONSOLE\020\000\022\014\n\010LOG_FILE\020\001\022\016\n\nLOG_DEVICE\020\002"
      "*\276\001\n\tEventType\022\020\n\014CHANGE_EVENT\020\000\022\021\n\rQUAL"
      "ITY_EVENT\020\001\022\022\n\016PERIODIC_EVENT\020\002\022\021\n\rARCHI"
      "VE_EVENT\020\003\022\016\n\nUSER_EVENT\020\004\022\023\n\017ATTR_CONF_"
      "EVENT\020\005\022\024\n\020DATA_READY_EVENT\020\006\022\032\n\026INTERFA"
      "CE_CHANGE_EVENT\020\007\022\016\n\nPIPE_EVENT\020\010*\037\n\020Kee"
      "pAliveCmdCode\022\013\n\007EXIT_TH\020\000*6\n\021AccessCont"
      "rolType\022\017\n\013ACCESS_READ\020\000\022\020\n\014ACCESS_WRITE"
      "\020\001*:\n\rasyn_req_type\022\013\n\007POLLING\020\000\022\014\n\010CALL"
      "BACK\020\001\022\016\n\nALL_ASYNCH\020\002*4\n\014cb_sub_model\022\021"
      "\n\rPUSH_CALLBACK\020\000\022\021\n\rPULL_CALLBACK\020\001*d\n\013"
      "AttrQuality\022\016\n\nATTR_VALID\020\000\022\020\n\014ATTR_INVA"
      "LID\020\001\022\016\n\nATTR_ALARM\020\002\022\021\n\rATTR_CHANGING\020\003"
      "\022\020\n\014ATTR_WARNING\020\004*I\n\rAttrWriteType\022\010\n\004R"
      "EAD\020\000\022\023\n\017READ_WITH_WRITE\020\001\022\t\n\005WRITE\020\002\022\016\n"
      "\nREAD_WRITE\020\003*F\n\016AttrDataFormat\022\n\n\006SCALA"
      "R\020\000\022\014\n\010SPECTRUM\020\001\022\t\n\005IMAGE\020\002\022\017\n\013FMT_UNKN"
      "OWN\020\003*3\n\rPipeWriteType\022\r\n\tPIPE_READ\020\000\022\023\n"
      "\017PIPE_READ_WRITE\020\001*.\n\tDevSource\022\007\n\003DEV\020\000"
      "\022\t\n\005CACHE\020\001\022\r\n\tCACHE_DEV\020\002*+\n\013ErrSeverit"
      "y\022\010\n\004WARN\020\000\022\007\n\003ERR\020\001\022\t\n\005PANIC\020\002*%\n\tDispL"
      "evel\022\014\n\010OPERATOR\020\000\022\n\n\006EXPERT\020\001*5\n\tGreenM"
      "ode\022\017\n\013Synchronous\020\000\022\013\n\007Futures\020\001\022\n\n\006Gev"
      "ent\020\002b\006proto3"
  };
  ::google::protobuf::DescriptorPool::InternalAddGeneratedFile(
      descriptor, 2373);
  ::google::protobuf::MessageFactory::InternalRegisterGeneratedFile(
    "tango_enums.proto", &protobuf_RegisterTypes);
}

void AddDescriptors() {
  static GOOGLE_PROTOBUF_DECLARE_ONCE(once);
  ::google::protobuf::GoogleOnceInit(&once, &AddDescriptorsImpl);
}
// Force AddDescriptors() to be called at dynamic initialization time.
struct StaticDescriptorInitializer {
  StaticDescriptorInitializer() {
    AddDescriptors();
  }
} static_descriptor_initializer;
}  // namespace protobuf_tango_5fenums_2eproto
namespace mascot {
const ::google::protobuf::EnumDescriptor* DevState_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[0];
}
bool DevState_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    case 6:
    case 7:
    case 8:
    case 9:
    case 10:
    case 11:
    case 12:
    case 13:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* CmdArgType_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[1];
}
bool CmdArgType_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    case 6:
    case 7:
    case 8:
    case 9:
    case 10:
    case 11:
    case 12:
    case 13:
    case 14:
    case 15:
    case 16:
    case 17:
    case 18:
    case 19:
    case 20:
    case 21:
    case 22:
    case 23:
    case 24:
    case 25:
    case 26:
    case 27:
    case 28:
    case 29:
    case 30:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* MessBoxType_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[2];
}
bool MessBoxType_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* PollObjType_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[3];
}
bool PollObjType_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* PollCmdCode_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[4];
}
bool PollCmdCode_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    case 6:
    case 7:
    case 8:
    case 9:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* SerialModel_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[5];
}
bool SerialModel_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* AttReqType_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[6];
}
bool AttReqType_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* LockCmdCode_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[7];
}
bool LockCmdCode_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* LogLevel_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[8];
}
bool LogLevel_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* LogTarget_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[9];
}
bool LogTarget_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* EventType_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[10];
}
bool EventType_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    case 6:
    case 7:
    case 8:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* KeepAliveCmdCode_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[11];
}
bool KeepAliveCmdCode_IsValid(int value) {
  switch (value) {
    case 0:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* AccessControlType_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[12];
}
bool AccessControlType_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* asyn_req_type_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[13];
}
bool asyn_req_type_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* cb_sub_model_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[14];
}
bool cb_sub_model_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* AttrQuality_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[15];
}
bool AttrQuality_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
    case 4:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* AttrWriteType_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[16];
}
bool AttrWriteType_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* AttrDataFormat_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[17];
}
bool AttrDataFormat_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
    case 3:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* PipeWriteType_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[18];
}
bool PipeWriteType_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* DevSource_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[19];
}
bool DevSource_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* ErrSeverity_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[20];
}
bool ErrSeverity_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* DispLevel_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[21];
}
bool DispLevel_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
      return true;
    default:
      return false;
  }
}

const ::google::protobuf::EnumDescriptor* GreenMode_descriptor() {
  protobuf_tango_5fenums_2eproto::protobuf_AssignDescriptorsOnce();
  return protobuf_tango_5fenums_2eproto::file_level_enum_descriptors[22];
}
bool GreenMode_IsValid(int value) {
  switch (value) {
    case 0:
    case 1:
    case 2:
      return true;
    default:
      return false;
  }
}


// @@protoc_insertion_point(namespace_scope)
}  // namespace mascot

// @@protoc_insertion_point(global_scope)
